Package org.apache.commons.io.output

# Class RandomAccessFileOutputStream.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<RandomAccessFileOutputStream,RandomAccessFileOutputStream.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<RandomAccessFileOutputStream,RandomAccessFileOutputStream.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<RandomAccessFileOutputStream,RandomAccessFileOutputStream.Builder>
org.apache.commons.io.output.RandomAccessFileOutputStream.Builder

All Implemented Interfaces:
  `IOSupplier<RandomAccessFileOutputStream>`

Enclosing class:
  `RandomAccessFileOutputStream`

public static final class RandomAccessFileOutputStream.Builder extends AbstractStreamBuilder<RandomAccessFileOutputStream,RandomAccessFileOutputStream.Builder>
Builds a new `RandomAccessFileOutputStream`.

For example:

     RandomAccessFileOutputStream s = RandomAccessFileOutputStream.builder()
       .setFile("myfile.txt")
       .setOpenOptions(StandardOpenOption.SYNC)
       .get();

The only super's aspect used is buffer size.

See Also:
  - `get()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RandomAccessFileOutputStream`
  `get()`
  Builds a new `RandomAccessFileOutputStream`.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Method Details

  - ### get

    public RandomAccessFileOutputStream get() throws IOException
    Builds a new `RandomAccessFileOutputStream`.

    You must set an aspect that supports `RandomAccessFile` or `File`, otherwise, this method throws an exception. Only set one of RandomAccessFile or an origin that can be converted to a File.

    This builder uses the following aspects:

    - `RandomAccessFile` is the target aspect.
    - `File`
    - closeOnClose
    Returns:
      a new instance.
    Throws:
      `IllegalStateException` - if the `origin` is `null`.
      `IllegalStateException` - if both RandomAccessFile and origin are set.
      `UnsupportedOperationException` - if the origin cannot be converted to a `RandomAccessFile`.
      `IOException` - if an I/O error occurs converting to an `RandomAccessFile` using `AbstractStreamBuilder.getRandomAccessFile()`.
    See Also:
      - `AbstractOrigin.getFile()`
      - `IOSupplier.getUnchecked()`